Subject: bug#58282: Distinguishing glasses-mode display

From: uzibalqa <[email-masked]>
Date: Tue, 04 Oct 2022 17:28:21 +0000

------- Original Message -------
On Tuesday, October 4th, 2022 at 4:26 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Tue, 04 Oct 2022 14:46:16 +0000
> > From: uzibalqa [email-masked]
> > Cc: Christopher Dimech [email-masked], [email-masked]
> > 
> > ------- Original Message -------
> > On Tuesday, October 4th, 2022 at 12:43 PM, Eli Zaretskii [email-masked] wrote:
> > 
> > > > From: Christopher Dimech [email-masked]
> > > > Cc: uzibalqa [email-masked], [email-masked]
> > > > Date: Tue, 4 Oct 2022 13:47:33 +0200
> > > > 
> > > > > I think we have this already: customize glasses-face to some distinct
> > > > > face, like 'bold'. Then the capital letters of identifiers where
> > > > > glasses.el inserted underscores will be shown in bold, and you can
> > > > > visually distinguish them from the original underscores.
> > > > 
> > > > Because I use bold font the default does not work for me.
> > > 
> > > ??? What default? The default is that glasses-face is just nil, so no
> > > special face is put on any parts of the identifiers. 'bold' was just
> > > an example of a non-default face; you can use any face there.
> > > 
> > > > I want to make the changes in my init file. How can I change the
> > > > foreground and background colour of the glasses matches?
> > > 
> > > You can't. This face is not about changing the matches, it is about
> > > changing the appearance of the capital letters in identifiers where
> > > glasses-mode adds the separator (which is underscore _ by default)
> > > 
> > > > Is it possible for users to use a UTF8 Code as separator, and if so,
> > > > how can this be done?
> > > 
> > > Customize the variable glasses-separator. (This has nothing to do
> > > with the original bug report, though.)
> > 
> > How can I change the colour of the capital letters or use utf8 using
> > elisp commands?
> 
> 
> I answered both questions above. What is unclear?

Been focusing on getting this to work

(defun camelsens (hexcode)

  "Splits CamelCase phrases using separator."

  (interactive (list 

      (completing-read "Utf8_hex_code: " '("\u27A4" "\u25BA" "\u2192") nil t "\u2192")))

  (setq glasses-separator hexcode)

  (glasses-mode))

But this only works the first time I call the function.